# $Revision: 1.12 $, $Date: 2011/10/16 19:04:47 $
Summary:	The MM and QM calculations library
Summary(pl.UTF-8):	Biblioteka do obliczeń z zakresu mechaniki molekularnej i kwantowej
Name:		libghemical
Version:	3.0.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://bioinformatics.org/ghemical/download/current/%{name}-%{version}.tar.gz
# Source0-md5:	1d5c9c19bb119470d2bb41a7e681eafd
URL:		http://bioinformatics.org/ghemical/ghemical/index.html
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lapack-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mopac7-devel >= 1.13
BuildRequires:	mpqc-devel >= 1.2.5
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MM and QM calculations library.

%description -l pl.UTF-8
Biblioteka do obliczeń z zakresu mechaniki molekularnej i kwantowej.

%package devel
Summary:	Header files for libghemical library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libghemical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	mopac7-devel >= 1.13
Requires:	mpqc-devel >= 1.2.5

%description devel
Header files for libghemical library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libghemical.

%package static
Summary:	Static libghemical library
Summary(pl.UTF-8):	Statyczna biblioteka libghemical
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libghemical library.

%description static -l pl.UTF-8
Statyczna biblioteka libghemical.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-mopac7 \
	--enable-mpqc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_libdir}/libghemical.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libghemical.so.5
%{_datadir}/libghemical

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libghemical.so
%{_libdir}/libghemical.la
%{_includedir}/ghemical
%{_pkgconfigdir}/libghemical.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libghemical.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libghemical.spec,v $
Revision 1.12  2011/10/16 19:04:47  qboosh
- updated to 3.0.0

Revision 1.11  2011/01/27 21:20:36  sparky
- BR: glib2-devel

Revision 1.10  2011/01/09 19:40:13  qboosh
- removed obsolete sed call
- fixed mopac7 and mpqc versions

Revision 1.9  2010/02/25 13:39:34  sparky
- BR: OpenGL-devel, gettext-devel, intltool, pkgconfig

Revision 1.8  2010/02/25 08:57:28  amateja
- use autotools

Revision 1.7  2010/02/25 08:25:43  amateja
- updated to 2.99.1
- packaged locale

Revision 1.6  2009/06/10 06:04:52  amateja
- updated to 2.98

Revision 1.5  2007/11/01 04:03:48  wolvverine
- up to 2.96, change URL and Source0 path

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/08/27 17:40:08  qboosh
- updated to 2.10

Revision 1.1  2006/07/23 20:25:22  qboosh
- new
